Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans.parsers
Class XmlParser

    java.lang.Object

      |

      +--oracle.ifs.beans.parsers.XmlParser

All Implemented Interfaces:
  Parser

Direct Known Subclasses:
  SimpleXmlParser

public abstract class XmlParser
extends java.lang.Object
implements Parser

This class is deprecated. Use oracle.ifs.beans.parsers.IfsXmlParser.

An XmlParser creates one or more LibraryObjects based on an XMLDocument tree constructed from an InputStream or Reader.

XmlParser invokes the `traverseTree` method, passing in an XMLDocument created from the input data. The `traverseTree` method will create LibraryObjects based on the XMLDocument. For each LibraryObject created, the appropriate ParserCallback functions (if any) should be invoked.

Fields inherited from interface oracle.ifs.beans.parsers.Parser
`CURRENT_NAME_OPTION, CURRENT_PATH_OPTION, DOCUMENT_CHARSET_OPTION, DOCUMENT_LANGUAGE_OPTION, UPDATE_OBJECT_OPTION, VALIDATE_DOCUMENT_OPTION`

Constructor Summary
`XmlParser(LibrarySession ls)` Deprecated. use oracle.ifs.beans.parsers.IfsXmlParser(LibrarySession) The IfsXmlParser acts as the entry point for all iFS XML parsing functionality. The main function of the parser is to determine the nature of the XML document it is processing, then select the appropriate content-specific parser and submit the document for processing by that parser.

Method Summary
`LibraryObject` | `parse(java.io.InputStream stream, ParserCallback callback, java.util.Hashtable options)` Deprecated. use oracle.ifs.beans.parsers.IfsXmlParser.parse( InputStream, ParserCallback, Hashtable)
`LibraryObject` | `parse(java.io.Reader reader, ParserCallback callback, java.util.Hashtable options)` Deprecated. use oracle.ifs.beans.parsers.IfsXmlParser.parse( InputStream, ParserCallback, Hashtable) Readers are not supported by IfsXmlParser
`protected abstract LibraryObject` | `traverseTree(oracle.xml.parser.v2.XMLDocument doc, ParserCallback callback, java.util.Hashtable options)` Deprecated. use oracle.ifs.beans.parsers.IfsXmlParser traverseTree is not supported by IfsXmlParser

Constructor Detail

### XmlParser

    public XmlParser(LibrarySession ls)

  Deprecated. use oracle.ifs.beans.parsers.IfsXmlParser(LibrarySession) The IfsXmlParser acts as the entry point for all iFS XML parsing functionality. The main function of the parser is to determine the nature of the XML document it is processing, then select the appropriate content-specific parser and submit the document for processing by that parser.

  Constucts an XmlParser
  Parameters:
    `ls` - the LibrarySession

Method Detail

### parse

    public final LibraryObject parse(java.io.InputStream stream,
                                     ParserCallback callback,
                                     java.util.Hashtable options)
                              throws IfsException

  Deprecated. use oracle.ifs.beans.parsers.IfsXmlParser.parse( InputStream, ParserCallback, Hashtable)

  Inherited from Parser
  Specified by:
    `parse` in interface `Parser`
  Following copied from interface: `oracle.ifs.beans.parsers.Parser`
  Parameters:
    `stream` - the InputStream
    `callback` - an application object that interacts with the the parsing process; optional, can be null
    `options` - any Parser-specific options
  Returns:
    The primary object created. If there is only one top level object then this is returned. If no object is "primary" then null is returned.
  Throws:
    `IfsException` - (IFS-12601) if the operation fails

### parse

    public final LibraryObject parse(java.io.Reader reader,
                                     ParserCallback callback,
                                     java.util.Hashtable options)
                              throws IfsException

  Deprecated. use oracle.ifs.beans.parsers.IfsXmlParser.parse( InputStream, ParserCallback, Hashtable) Readers are not supported by IfsXmlParser

  Inherited from Parser
  Specified by:
    `parse` in interface `Parser`
  Following copied from interface: `oracle.ifs.beans.parsers.Parser`
  Parameters:
    `reader` - the Reader
    `callback` - an application object that interacts with the the parsing process; optional, can be null
    `options` - any Parser-specific options
  Returns:
    The primary object created. If there is only one top level object then this is returned. If no object is "primary" then null is returned.
  Throws:
    `IfsException` - (IFS-12602) if the operation fails

### traverseTree

    protected abstract LibraryObject traverseTree(oracle.xml.parser.v2.XMLDocument doc,
                                                  ParserCallback callback,
                                                  java.util.Hashtable options)
                                           throws IfsException

  Deprecated. use oracle.ifs.beans.parsers.IfsXmlParser traverseTree is not supported by IfsXmlParser

  Traverses an XMLDocument tree and creates the appropriate LibraryObjects. For each LibraryObject created, the implementation must call the appropriate callback methods (if any).
  Parameters:
    `doc` - the XMLDocument created from the Parser's InputStream/Reader.
    `callback` - an application object that interacts with the parsing process; optional, can be null
    `options` - any Parser-specific options
  Returns:
    The primary object created. If there is only one top level object then this is returned. If no object is "primary" then null is returned.
  Throws:
    `IfsException` - (IFS-12601) if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD